# nulib/bash

## template

* [x] pour tout fichier source `.file.template`, considérer avant
  `file.template.local` s'il existe, ce qui permet à un utilisateur de
  remplacer le modèle livré.
  cela a-t-il du sens de supporter aussi file.dist.local? vu que ça ne sert
  qu'une seule fois? ça ne mange pas de pain...

## args

* [x] support des couples d'options --option et --no-option qui mettent à jour
  tous les deux la variables option. ceci:
  ~~~
  --option .
  --no-option .
  ~~~
  est équivalent à ceci:
  ~~~
  --option '$inc@ option'
  --no-option '$dec@ option'
  ~~~
  dec@ est une nouvelle fonction qui décrémente et remplace par une chaine vide
  quand on arrive à zéro
* [x] args: support des noms d'argument pour améliorer l'affichage de l'aide.
  par exemple la définition
  ~~~
  -f:file,--input input= "spécifier le fichier en entrée"
  ~~~
  donnera cette aide:
  ~~~
      -f, --input FILE
          spécifier le fichier
  ~~~
* [ ] args: après le support des noms d'arguments, ajouter la génération
  automatique de l'auto-complétion basée sur ces informations. certains noms
  seraient normalisés: `file` pour un fichier, `dir` pour un répertoire, `env`
  pour une variable d'environnement, etc.
  on pourrait même considérer mettre des patterns pour la sélection, e.g
  ~~~
  "-C,--config:file:*.conf *.cnf" input= "spécifier le fichier de configuration"
  ~~~

-*- coding: utf-8 mode: markdown -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8:noeol:binary