# -*- coding: utf-8 mode: sh -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8
##@cooked nocomments
module: donk.help "aide de donk"

DONK_VALID_ACTIONS=(
    dump:d
    build:b
    clean:k
)
dump_SUMMARY="afficher les valeurs des variables et ce que ferait l'action build"
build_SUMMARY="construire les images"
clean_SUMMARY="nettoyer le projet des fichiers créés avec 'copy gitignore=', en utilisant la commande 'git clean -dX'"

DONK_HELP_SECTIONS=(
    base:b
    reference:ref:r
)

function donk_help() {
    :
}

function _donk_show_actions() {
    local action summary
    echo "
ACTIONS"
    for action in "${DONK_VALID_ACTIONS[@]}"; do
        IFS=: read -a action <<<"$action"; action="${action[0]}"
        summary="${action}_SUMMARY"; summary="${!summary}"
        echo "\
    $action
        $summary"
    done
}

function _donk_show_help() {
    if [ -z "$value_" ]; then showhelp@
    else donk_help "$value_"
    fi
    exit $?
}
