<?php
namespace nulib\output;

use nulib\output\std\ProxyMessenger;

/**
 * Class console: afficher un message sur la console
 *
 * Cette classe DOIT être initialisée avant d'être utilisée
 */
class console extends _messenger {
  private static ?IMessenger $msg = null;

  private static bool $setup = false;

  static function is_setup(): bool {
    return self::$setup;
  }

  static function set_messenger(IMessenger $msg) {
    self::$msg = $msg;
    self::$setup = true;
  }

  static function get(): IMessenger {
    return self::$msg ??= new ProxyMessenger();
  }
}
