<?php
namespace nulib\db\_private;

use nulib\tests\TestCase;

class _baseTest extends TestCase {
  function testParse_conds() {
    $values = [1, "string"];
    $sql = null;
    $bindings = null;
    _base::parse_conds([
      "value" => ["any", $values],
    ], $sql, $bindings);
    self::assertSame([
      "value = any(array[:value, :value2])",
    ], $sql);
    self::assertSame([
      "value" => 1,
      "value2" => "string",
    ], $bindings);
  }
}
