#!/bin/bash
# -*- coding: utf-8 mode: sh -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8
source "$(dirname -- "$0")/../src/nulib.sh" || exit 1
#NULIB_NO_DISABLE_SET_X=1

args=("tester l'affichage de l'aide")

case "$1" in
s|std)
    # NB: seul l'affichage standard est disponible...
    args+=(
        -h,--help,--hstd '$showhelp@' "afficher l'aide de base"
    )
    shift
    ;;
a|adv)
    # NB: seul l'affichage avancé est disponible...
    args+=(
        -H,--help++,--hadv '$showhelp@ ++' "afficher l'aide avancée"
    )
    shift
    ;;
sa|std+adv)
    args+=(
        -h,--help,--hstd '$showhelp@' "afficher l'aide de base"
        -H,--help++,--hadv '$showhelp@ ++' "afficher l'aide avancée"
    ) 
    shift
    ;;
esac

args+=(
    -a,--std . "cette option apparait dans les options standards"
    -b,--adv . "++cette option apparait dans les options avancées"
)
parse_args "$@"; set -- "${args[@]}"

enote "lancer le script
- avec --help pour afficher les options standards uniquement
- avec --help++ pour afficher toutes les options"
