<?php
namespace nulib\ref\file\csv;

/**
 * Class ref_csv: références des valeurs normalisées pour les fichiers CSV à
 * destination de Microsoft Excel et de LibreOffice Calc
 */
class ref_csv {
  const UTF8 = "utf-8";
  const CP1252 = "cp1252";
  const LATIN1 = "iso-8859-1";

  const OOCALC = "oocalc";
  const OO_FLAVOUR = ",\"\\";
  const OO_ENCODING = self::UTF8;

  const MSEXCEL = "msexcel";
  const XL_FLAVOUR = ";\"\\";
  const XL_ENCODING = self::CP1252;

  const DUMBOO = "xxx,";
  const DUMB_OO_FLAVOUR = "xxx,";
  const DUMB_OO_ENCODING = self::UTF8;

  const DUMBXL = "xxx;";
  const DUMB_XL_FLAVOUR = "xxx;";
  const DUMB_XL_ENCODING = self::UTF8;

  const DUMB = self::DUMBXL;
  const DUMB_FLAVOUR = self::DUMB_XL_FLAVOUR;
  const DUMB_ENCODING = self::DUMB_XL_ENCODING;
}
