#!/bin/bash
# -*- coding: utf-8 mode: sh -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8
# Modèle de script utilisant runphp pour lancer un traitement dans un container
# RUNPHP est le chemin relatif vers runphp à partir du chemin du script
RUNPHP=sbin/runphp

MYDIR="$(dirname -- "$0")"; MYNAME="$(basename -- "$0")"
if [ -z "$_RUNPHP_IN_DOCKER" ]; then
    "$MYDIR/$RUNPHP" --bs --ue --ci || exit 1
    exec "$MYDIR/$RUNPHP" "$0" "$@"
fi
source "$MYDIR/$RUNPHP" || exit 1
source "$PROJDIR/$VENDORDIR/nulib/php/load.sh" || exit 1

args=(
    "description"
    #"usage"
)
parse_args "$@"; set -- "${args[@]}"

echo "je tourne dans un container..."
sleep 1000
